Index: invariantview/docs/sphinx/api/help_panel.rst
===================================================================
--- invariantview/docs/sphinx/api/help_panel.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/help_panel.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -13,3 +13,5 @@
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: invariantview/docs/sphinx/api/index.rst
===================================================================
--- invariantview/docs/sphinx/api/index.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/index.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -15,6 +15,8 @@
 
    help_panel.rst
+   invariant.rst
    invariant_details.rst
    invariant_panel.rst
+   invariant_state.rst
    invariant_widgets.rst
-   invariant.rst
+   report_dialog.rst
Index: invariantview/docs/sphinx/api/invariant.rst
===================================================================
--- invariantview/docs/sphinx/api/invariant.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/invariant.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -13,3 +13,5 @@
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: invariantview/docs/sphinx/api/invariant_details.rst
===================================================================
--- invariantview/docs/sphinx/api/invariant_details.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/invariant_details.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -13,3 +13,5 @@
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: invariantview/docs/sphinx/api/invariant_panel.rst
===================================================================
--- invariantview/docs/sphinx/api/invariant_panel.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/invariant_panel.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -13,3 +13,5 @@
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: invariantview/docs/sphinx/api/invariant_state.rst
===================================================================
--- invariantview/docs/sphinx/api/invariant_state.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
+++ invariantview/docs/sphinx/api/invariant_state.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -0,0 +1,17 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+invariant_state
+******************************************************************************
+
+:mod:`sans.perspectives.invariant.invariant_state`
+==============================================================================
+
+.. automodule:: sans.perspectives.invariant.invariant_state
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+   :special-members:
+   :private-members:
+
Index: invariantview/docs/sphinx/api/invariant_widgets.rst
===================================================================
--- invariantview/docs/sphinx/api/invariant_widgets.rst	(revision d7a39e5e4d2fdf0181a63b2cb239064dd754a674)
+++ invariantview/docs/sphinx/api/invariant_widgets.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -13,3 +13,5 @@
    :inherited-members:
    :show-inheritance:
+   :special-members:
+   :private-members:
 
Index: invariantview/docs/sphinx/api/report_dialog.rst
===================================================================
--- invariantview/docs/sphinx/api/report_dialog.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
+++ invariantview/docs/sphinx/api/report_dialog.rst	(revision 89b78585a0ea0fdeefd9cb6c53175cc274806267)
@@ -0,0 +1,17 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+report_dialog
+******************************************************************************
+
+:mod:`sans.perspectives.invariant.report_dialog`
+==============================================================================
+
+.. automodule:: sans.perspectives.invariant.report_dialog
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+   :special-members:
+   :private-members:
+